commit: c80d5ff53d78f68dec934695ec69410ac2976377
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 16 05:19:48 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 16 05:19:48 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c80d5ff5
dev-python/pupynere: Permit numpy-python2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pupynere/pupynere-1.0.15-r1.ebuild | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
diff --git a/dev-python/pupynere/pupynere-1.0.15-r1.ebuild
b/dev-python/pupynere/pupynere-1.0.15-r1.ebuild
index 044e5cb4589..7f70dfe14fc 100644
--- a/dev-python/pupynere/pupynere-1.0.15-r1.ebuild
+++ b/dev-python/pupynere/pupynere-1.0.15-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -16,7 +16,11 @@ SLOT="0"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
IUSE=""
-RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+RDEPEND="
+ || (
+ dev-python/numpy-python2[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"